REMOTECV(1)

NAME
remotecv - OpenCV server for facial and feature recognition

DESCRIPTION
usage: remotecv [-h] [-b {pyres,celery}] [--host HOST] [--port PORT]

    [--database DATABASE] [--password PASSWORD] [--region REGION] [--key_id KEY_ID] [--key_secret KEY_SECRET] [--polling_interval POLLING_INTERVAL] [-l LEVEL] [-o LOADER] [-s STORE] [-t TIMEOUT] [--sentry_url SENTRY_URL] [--memcache_hosts MEMCACHE_HOSTS] ...

Runs RemoteCV.

  positional arguments:

    args

  optional arguments:

-h, --help
    show this help message and exit

  Worker Backend:

-b {pyres,celery}, --backend {pyres,celery}
    Worker backend

  Pyres Connection Arguments:

--host HOST
    Redis host

--port PORT
    Redis port

--database DATABASE
    Redis database

--password PASSWORD
    Redis password

  Celery/SQS Connection Arguments:

--region REGION
    AWS SQS Region

--key_id KEY_ID
    AWS access key id

--key_secret KEY_SECRET
    AWS access key secret

--polling_interval POLLING_INTERVAL
    AWS polling interval

  Other arguments:

-l LEVEL, --level LEVEL
    Logging level

-o LOADER, --loader LOADER
    Loader used

-s STORE, --store STORE
    Loader used

-t TIMEOUT, --timeout TIMEOUT
    Timeout in seconds for image detection

--sentry_url SENTRY_URL
    URL used to send errors to sentry

  Memcache store arguments:

--memcache_hosts MEMCACHE_HOSTS
    Comma separated list of memcache hosts

SEE ALSO
The full documentation for remotecv is maintained as a Texinfo manual. If the info and remotecv programs are properly installed at your site, the command

    info remotecv

should give you access to the complete manual.